Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.FetchDataResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.FetchDataResponse`, `ClientWireProtocol.FetchDataResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.FetchDataResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ResultSet` | `getResultSet()` | `.xg.cmdcomp.ResultSet result_set = 2;`
`ClientWireProtocol.ResultSetOrBuilder` | `getResultSetOrBuilder()` | `.xg.cmdcomp.ResultSet result_set = 2;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasResultSet()` | `.xg.cmdcomp.ResultSet result_set = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### hasResultSet

boolean hasResultSet()
`.xg.cmdcomp.ResultSet result_set = 2;`

Returns:
  Whether the resultSet field is set.

### getResultSet

ClientWireProtocol.ResultSet getResultSet()
`.xg.cmdcomp.ResultSet result_set = 2;`

Returns:
  The resultSet.

### getResultSetOrBuilder

ClientWireProtocol.ResultSetOrBuilder getResultSetOrBuilder()
`.xg.cmdcomp.ResultSet result_set = 2;`